
Foreman - Feature #79

reports page should have filter checkboxes

11/16/2009 04:22 PM - Martin Englund

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Usually you aren't interested in the reports with no changes, so there should be a checkbox on the /reports page (checked by default)

which hides those reports

Related issues:

Follows Foreman - Feature #248: Generalise the searchbar and tabs to support ... Closed 05/13/2010

History

#1 - 11/16/2009 04:26 PM - Ohad Levy

I would assume thats not too hard to add, nevertheless, I've created the dashboard with the hope is that it will show you what usually one would like

to watch, leaving the detailed reports if required (under reports).

#2 - 11/16/2009 04:53 PM - Martin Englund

I'll have a fix available soon - I just need to get foreman setup on my development server...

The easiest way is to use the conditions_for_collection controller method, e.g.

def conditions_for_collection

  ['status != 0']

end

#3 - 11/23/2009 12:34 PM - Ohad Levy

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Martin Englund

will you implement this or should I?

are you aware that there is already a link with the same values through the dashboard?

#4 - 11/24/2009 11:06 AM - Martin Englund

I have a prototype already, but it relies on modifying the reports table to remove the status column and add columns for failed, failed restarts, skipped

and changed. Do you want me to include that or do you want to do that change?

#5 - 11/24/2009 11:11 AM - Martin Englund

I just noticed refactor# 80 and which this partly depends on. I'll start with by just adding a check box to hide all "ok" reports.

#6 - 11/24/2009 04:44 PM - Martin Englund

I'm looking at using:

http://github.com/tvongaza/active_scaffold_list_filters

to implement this.

#7 - 11/25/2009 04:46 AM - Ohad Levy

Martin Englund wrote:
http://github.com/tvongaza/active_scaffold_list_filters


I'm looking at using:

http://github.com/tvongaza/active_scaffold_list_filters

to implement this.

 thats interesting, might also fit to hosts filtering (e.g. environments, domains etc)

#8 - 05/16/2010 12:49 PM - Ohad Levy

- Category changed from Puppet Reports to Web Interface

- Status changed from Feedback to New

- Assignee changed from Martin Englund to Paul Kelly

- Target version set to 0.1-5

might be duplicate of search bar, assigning to Paul just to be on the safe side.

#9 - 05/24/2010 07:30 AM - Ohad Levy

- Status changed from New to Closed

implemented in ticket #249
